// Include a file normally
#include "test.h"

// Same file, but with a slightly different relative path
#include "./test.h"

// Same file, different path traversal
#include "subdir/../test.h"

// Same file, traverse into a non-existent path and then back out.
// On win32, this has the same issue as the others (the file is included again).
// On linux, tcc notices that the path doesn't exist and errors.
#ifdef _WIN32
#include "doesnt/exist/../../test.h"
#endif

// Include a file in a subdir which includes ../test.h
#include "subdir/test2.h"

/*
    Compile:
        $ tcc -c minimal.c

    And observe that test.h is included multiple times (4x on windows, 3 on linux).

*/
